#!/bin/bash

if [ $# -lt 3 ]; then
	echo "Usage: $0 <major> <minor> <service>"
	exit -1
fi

major=$1
minor=$2
service=$3
ver=${major}.${minor}.${service}

mkdir ${ver}
cd ${ver}
OLDIFS=$IFS
IFS=','
for db in enduserwikidb,enduserwikiuser devwikidb,devwikiuser; do
	set $db
	sh ../dump-mysql-db.sh ${major} ${minor} ${service} ${1} ${2}
done
IFS=$OLDIFS

cd ..
tar zcvf ${ver}.tar.gz ${ver}
rm -rf ${ver}

echo "Packing up mediawiki sites"
tar zcvf ${ver}-dev-site.tar.gz /var/www/http-dev.simantics.org/
tar zcvf ${ver}-enduser-site.tar.gz /var/www/https-www.simantics.org/end_user_wiki/
